Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.css.sac
Interface LexicalUnit

public interface LexicalUnit

This is a lexical unit for CSS values.

Remarks: Not all the following lexical units are supported (or will be supported) by CSS.

All examples are CSS2 compliant.

Version:
  $Revision: 477010 $
Author:
  Philippe Le Hegaret

Field Summary
`static short` | `SAC_ATTR` Attribute: `attr(...)`.
`static short` | `SAC_CENTIMETER` Absolute length `cm`.
`static short` | `SAC_COUNTER_FUNCTION` function `counter`.
`static short` | `SAC_COUNTERS_FUNCTION` function `counters`.
`static short` | `SAC_DEGREE` Angle `deg`.
`static short` | `SAC_DIMENSION` unknown dimension.
`static short` | `SAC_EM` Relative length`em`.
`static short` | `SAC_EX` Relative length`ex`.
`static short` | `SAC_FUNCTION` unknown function.
`static short` | `SAC_GRADIAN` Angle `grad`.
`static short` | `SAC_HERTZ` Frequency `Hz`.
`static short` | `SAC_IDENT` any identifier except `inherit`.
`static short` | `SAC_INCH` Absolute length `in`.
`static short` | `SAC_INHERIT` identifier `inherit`.
`static short` | `SAC_INTEGER` Integers.
`static short` | `SAC_KILOHERTZ` Frequency `kHz`.
`static short` | `SAC_MILLIMETER` Absolute length `mm`.
`static short` | `SAC_MILLISECOND` Time `ms`.
`static short` | `SAC_OPERATOR_COMMA` ,
`static short` | `SAC_OPERATOR_EXP` ^
`static short` | `SAC_OPERATOR_GE` >=
`static short` | `SAC_OPERATOR_GT` >
`static short` | `SAC_OPERATOR_LE` <=
`static short` | `SAC_OPERATOR_LT` <
`static short` | `SAC_OPERATOR_MINUS` -
`static short` | `SAC_OPERATOR_MOD` %
`static short` | `SAC_OPERATOR_MULTIPLY` *
`static short` | `SAC_OPERATOR_PLUS` +
`static short` | `SAC_OPERATOR_SLASH` /
`static short` | `SAC_OPERATOR_TILDE` ~
`static short` | `SAC_PERCENTAGE` Percentage.
`static short` | `SAC_PICA` Absolute length `pc`.
`static short` | `SAC_PIXEL` Relative length `px`.
`static short` | `SAC_POINT` Absolute length `pt`.
`static short` | `SAC_RADIAN` Angle `rad`.
`static short` | `SAC_REAL` reals.
`static short` | `SAC_RECT_FUNCTION` function `rect`.
`static short` | `SAC_RGBCOLOR` RGB Colors.
`static short` | `SAC_SECOND` Time `s`.
`static short` | `SAC_STRING_VALUE` A string.
`static short` | `SAC_SUB_EXPRESSION` sub expressions `(a)` `(a + b)` `(normal/none)`
`static short` | `SAC_UNICODERANGE` A unicode range.
`static short` | `SAC_URI` URI: `uri(...)`.

Method Summary
`java.lang.String` | `getDimensionUnitText()` Returns the string representation of the unit.
`float` | `getFloatValue()` Returns the float value.
`java.lang.String` | `getFunctionName()` Returns the name of the function.
`int` | `getIntegerValue()` Returns the integer value.
`short` | `getLexicalUnitType()` An integer indicating the type of `LexicalUnit`.
`LexicalUnit` | `getNextLexicalUnit()` Returns the next value or `null` if any.
`LexicalUnit` | `getParameters()` The function parameters including operators (like the comma).
`LexicalUnit` | `getPreviousLexicalUnit()` Returns the previous value or `null` if any.
`java.lang.String` | `getStringValue()` Returns the string value.
`LexicalUnit` | `getSubValues()` Returns a list of values inside the sub expression.

Field Detail

### SAC_OPERATOR_COMMA

    public static final short SAC_OPERATOR_COMMA

  ,

### SAC_OPERATOR_PLUS

    public static final short SAC_OPERATOR_PLUS

  +

### SAC_OPERATOR_MINUS

    public static final short SAC_OPERATOR_MINUS

  -

### SAC_OPERATOR_MULTIPLY

    public static final short SAC_OPERATOR_MULTIPLY

  *

### SAC_OPERATOR_SLASH

    public static final short SAC_OPERATOR_SLASH

  /

### SAC_OPERATOR_MOD

    public static final short SAC_OPERATOR_MOD

  %

### SAC_OPERATOR_EXP

    public static final short SAC_OPERATOR_EXP

  ^

### SAC_OPERATOR_LT

    public static final short SAC_OPERATOR_LT

  <

### SAC_OPERATOR_GT

    public static final short SAC_OPERATOR_GT

  >

### SAC_OPERATOR_LE

    public static final short SAC_OPERATOR_LE

  <=

### SAC_OPERATOR_GE

    public static final short SAC_OPERATOR_GE

  >=

### SAC_OPERATOR_TILDE

    public static final short SAC_OPERATOR_TILDE

  ~

### SAC_INHERIT

    public static final short SAC_INHERIT

  identifier `inherit`.

### SAC_INTEGER

    public static final short SAC_INTEGER

  Integers.
  See Also:
    `getIntegerValue()`

### SAC_REAL

    public static final short SAC_REAL

  reals.
  See Also:
    `getFloatValue()`, `getDimensionUnitText()`

### SAC_EM

    public static final short SAC_EM

  Relative length`em`.
  See Also:
    `getFloatValue()`, `getDimensionUnitText()`

### SAC_EX

    public static final short SAC_EX

  Relative length`ex`.
  See Also:
    `getFloatValue()`, `getDimensionUnitText()`

### SAC_PIXEL

    public static final short SAC_PIXEL

  Relative length `px`.
  See Also:
    `getFloatValue()`, `getDimensionUnitText()`

### SAC_INCH

    public static final short SAC_INCH

  Absolute length `in`.
  See Also:
    `getFloatValue()`, `getDimensionUnitText()`

### SAC_CENTIMETER

    public static final short SAC_CENTIMETER

  Absolute length `cm`.
  See Also:
    `getFloatValue()`, `getDimensionUnitText()`

### SAC_MILLIMETER

    public static final short SAC_MILLIMETER

  Absolute length `mm`.
  See Also:
    `getFloatValue()`, `getDimensionUnitText()`

### SAC_POINT

    public static final short SAC_POINT

  Absolute length `pt`.
  See Also:
    `getFloatValue()`, `getDimensionUnitText()`

### SAC_PICA

    public static final short SAC_PICA

  Absolute length `pc`.
  See Also:
    `getFloatValue()`, `getDimensionUnitText()`

### SAC_PERCENTAGE

    public static final short SAC_PERCENTAGE

  Percentage.
  See Also:
    `getFloatValue()`, `getDimensionUnitText()`

### SAC_URI

    public static final short SAC_URI

  URI: `uri(...)`.
  See Also:
    `getStringValue()`

### SAC_COUNTER_FUNCTION

    public static final short SAC_COUNTER_FUNCTION

  function `counter`.
  See Also:
    `getFunctionName()`, `getParameters()`

### SAC_COUNTERS_FUNCTION

    public static final short SAC_COUNTERS_FUNCTION

  function `counters`.
  See Also:
    `getFunctionName()`, `getParameters()`

### SAC_RGBCOLOR

    public static final short SAC_RGBCOLOR

  RGB Colors. `rgb(0, 0, 0)` and `#000`
  See Also:
    `getFunctionName()`, `getParameters()`

### SAC_DEGREE

    public static final short SAC_DEGREE

  Angle `deg`.
  See Also:
    `getFloatValue()`, `getDimensionUnitText()`

### SAC_GRADIAN

    public static final short SAC_GRADIAN

  Angle `grad`.
  See Also:
    `getFloatValue()`, `getDimensionUnitText()`

### SAC_RADIAN

    public static final short SAC_RADIAN

  Angle `rad`.
  See Also:
    `getFloatValue()`, `getDimensionUnitText()`

### SAC_MILLISECOND

    public static final short SAC_MILLISECOND

  Time `ms`.
  See Also:
    `getFloatValue()`, `getDimensionUnitText()`

### SAC_SECOND

    public static final short SAC_SECOND

  Time `s`.
  See Also:
    `getFloatValue()`, `getDimensionUnitText()`

### SAC_HERTZ

    public static final short SAC_HERTZ

  Frequency `Hz`.
  See Also:
    `getFloatValue()`, `getDimensionUnitText()`

### SAC_KILOHERTZ

    public static final short SAC_KILOHERTZ

  Frequency `kHz`.
  See Also:
    `getFloatValue()`, `getDimensionUnitText()`

### SAC_IDENT

    public static final short SAC_IDENT

  any identifier except `inherit`.
  See Also:
    `getStringValue()`

### SAC_STRING_VALUE

    public static final short SAC_STRING_VALUE

  A string.
  See Also:
    `getStringValue()`

### SAC_ATTR

    public static final short SAC_ATTR

  Attribute: `attr(...)`.
  See Also:
    `getStringValue()`

### SAC_RECT_FUNCTION

    public static final short SAC_RECT_FUNCTION

  function `rect`.
  See Also:
    `getFunctionName()`, `getParameters()`

### SAC_UNICODERANGE

    public static final short SAC_UNICODERANGE

  A unicode range. @@TO BE DEFINED

### SAC_SUB_EXPRESSION

    public static final short SAC_SUB_EXPRESSION

  sub expressions `(a)` `(a + b)` `(normal/none)`
  See Also:
    `getSubValues()`

### SAC_FUNCTION

    public static final short SAC_FUNCTION

  unknown function.
  See Also:
    `getFunctionName()`, `getParameters()`

### SAC_DIMENSION

    public static final short SAC_DIMENSION

  unknown dimension.
  See Also:
    `getFloatValue()`, `getDimensionUnitText()`

Method Detail

### getLexicalUnitType

    public short getLexicalUnitType()

  An integer indicating the type of `LexicalUnit`.

### getNextLexicalUnit

    public LexicalUnit getNextLexicalUnit()

  Returns the next value or `null` if any.

### getPreviousLexicalUnit

    public LexicalUnit getPreviousLexicalUnit()

  Returns the previous value or `null` if any.

### getIntegerValue

    public int getIntegerValue()

  Returns the integer value.
  See Also:
    `SAC_INTEGER`

### getFloatValue

    public float getFloatValue()

  Returns the float value.

  If the type of `LexicalUnit` is one of SAC_DEGREE, SAC_GRADIAN, SAC_RADIAN, SAC_MILLISECOND, SAC_SECOND, SAC_HERTZ or SAC_KILOHERTZ, the value can never be negative.

  See Also:
    `SAC_REAL`, `SAC_DIMENSION`, `SAC_EM`, `SAC_EX`, `SAC_PIXEL`, `SAC_INCH`, `SAC_CENTIMETER`, `SAC_MILLIMETER`, `SAC_POINT`, `SAC_PICA`, `SAC_PERCENTAGE`, `SAC_DEGREE`, `SAC_GRADIAN`, `SAC_RADIAN`, `SAC_MILLISECOND`, `SAC_SECOND`, `SAC_HERTZ`, `SAC_KILOHERTZ`

### getDimensionUnitText

    public java.lang.String getDimensionUnitText()

  Returns the string representation of the unit.

  if this lexical unit represents a float, the dimension is an empty string.

  See Also:
    `SAC_REAL`, `SAC_DIMENSION`, `SAC_EM`, `SAC_EX`, `SAC_PIXEL`, `SAC_INCH`, `SAC_CENTIMETER`, `SAC_MILLIMETER`, `SAC_POINT`, `SAC_PICA`, `SAC_PERCENTAGE`, `SAC_DEGREE`, `SAC_GRADIAN`, `SAC_RADIAN`, `SAC_MILLISECOND`, `SAC_SECOND`, `SAC_HERTZ`, `SAC_KILOHERTZ`

### getFunctionName

    public java.lang.String getFunctionName()

  Returns the name of the function.
  See Also:
    `SAC_COUNTER_FUNCTION`, `SAC_COUNTERS_FUNCTION`, `SAC_RECT_FUNCTION`, `SAC_FUNCTION`, `SAC_RGBCOLOR`

### getParameters

    public LexicalUnit getParameters()

  The function parameters including operators (like the comma). `#000` is converted to `rgb(0, 0, 0)` can return `null` if `SAC_FUNCTION`.
  See Also:
    `SAC_COUNTER_FUNCTION`, `SAC_COUNTERS_FUNCTION`, `SAC_RECT_FUNCTION`, `SAC_FUNCTION`, `SAC_RGBCOLOR`

### getStringValue

    public java.lang.String getStringValue()

  Returns the string value.

  If the type is `SAC_URI`, the return value doesn't contain `uri(....)` or quotes.

  If the type is `SAC_ATTR`, the return value doesn't contain `attr(....)`.

  See Also:
    `SAC_URI`, `SAC_ATTR`, `SAC_IDENT`, `SAC_STRING_VALUE`, `@@TO BE DEFINED`

### getSubValues

    public LexicalUnit getSubValues()

  Returns a list of values inside the sub expression.
  See Also:
    `SAC_SUB_EXPRESSION`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD